# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2020-07-16 12:27
from __future__ import unicode_literals

import uuid

import django.db.models.deletion
from django.db import migrations, models

import gdpr_assist
import tests.tests_app.models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    run_before = [("gdpr_assist", "0002_privacyanonymised")]

    operations = [
        migrations.CreateModel(
            name="FirstSearchModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="ForeignKeyModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="ForeignKeyToUnregisteredModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="ModelWithoutPrivacyMeta",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='InheritedModelWithoutPrivacyMeta',
            fields=[
                ('modelwithoutprivacymeta_ptr',
                 models.OneToOneField(
                     auto_created=True,
                     on_delete=django.db.models.deletion.CASCADE,
                     parent_link=True,
                     primary_key=True,
                     serialize=False,
                     to='tests_app.modelwithoutprivacymeta')
                 ),
                ("title", models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
            bases=('tests_app.modelwithoutprivacymeta',),
        ),
        migrations.CreateModel(
            name="ModelWithPrivacyMeta",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='InheritedModelWithPrivacyMeta',
            fields=[
                ('modelwithprivacymeta_ptr',
                 models.OneToOneField(
                     auto_created=True,
                     on_delete=django.db.models.deletion.CASCADE,
                     parent_link=True,
                     primary_key=True,
                     serialize=False,
                     to='tests_app.modelwithprivacymeta')
                 ),
            ],
            options={
                'abstract': False,
            },
            bases=('tests_app.modelwithprivacymeta',),
        ),
        migrations.CreateModel(
            name="OneToOneFieldModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="PrivateTargetModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="PrivateUnregisteredTargetModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="SecondSearchModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="TargetModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForbiddenForAutoField",
            fields=[("id", models.AutoField(primary_key=True, serialize=False))],
        ),
        migrations.CreateModel(
            name="TestModelForbiddenForManyToManyField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.ManyToManyField(
                        related_name="_testmodelforbiddenformanytomanyfield_field_+",
                        to="tests_app.TargetModel",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForbiddenForUnknownCustomField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    tests.tests_app.models.UnknownCustomField(
                        max_length=255
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForBigIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.BigIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForBinaryField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.BinaryField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForBooleanField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForCharField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForDateField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForDateTimeField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForDecimalField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DecimalField(decimal_places=2, max_digits=7)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForDurationField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DurationField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForEmailField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForFileField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.FileField(upload_to="")),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForFilePathField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.FilePathField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForFloatField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForForeignKey",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="tests_app.TargetModel",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForGenericIPAddressField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.GenericIPAddressField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForImageField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.ImageField(upload_to="")),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForKnownCustomField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    tests.tests_app.models.KnownCustomField(max_length=255),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableBigIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.BigIntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableBinaryField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.BinaryField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableCharField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableDateField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DateField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableDateTimeField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableDecimalField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.DecimalField(
                        blank=True, decimal_places=2, max_digits=7, null=True
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableDurationField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.DurationField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableEmailField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.EmailField(blank=True, max_length=254, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableFileField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.FileField(blank=True, null=True, upload_to="")),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableFilePathField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.FilePathField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableFloatField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.FloatField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableForeignKey",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="tests_app.TargetModel",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableGenericIPAddressField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.GenericIPAddressField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableImageField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.ImageField(blank=True, null=True, upload_to="")),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableOneToOneField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="tests_app.TargetModel",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullablePositiveIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.PositiveIntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullablePositiveSmallIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.PositiveSmallIntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableSlugField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.SlugField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableSmallIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.SmallIntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableTextField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableTimeField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.TimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableURLField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.URLField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForNullableUUIDField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.UUIDField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForOneToOneField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="tests_app.TargetModel",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForPositiveIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForPositiveSmallIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.PositiveSmallIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForSlugField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.SlugField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForSmallIntegerField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.SmallIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForTextField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForTimeField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.TimeField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForURLField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForUUIDField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.UUIDField()),
            ],
        ),
        migrations.CreateModel(
            name="TestModelForUUIDFieldUnique",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.UUIDField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="ThirdSearchModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="ForeignKeyToCanNotAnonymisedModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="ForthSearchModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="ModelWithPrivacyMetaCanNotAnonymise",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(max_length=255)),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="PrivateTargetCanNotAnonymiseModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("chars", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.AddField(
            model_name="onetoonefieldmodel",
            name="target",
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=gdpr_assist.ANONYMISE(django.db.models.deletion.SET_NULL),
                related_name="onetoonefield",
                to="tests_app.PrivateTargetModel",
            ),
        ),
        migrations.AddField(
            model_name="foreignkeytounregisteredmodel",
            name="target",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=gdpr_assist.ANONYMISE(django.db.models.deletion.SET_NULL),
                related_name="foreignkey",
                to="tests_app.PrivateUnregisteredTargetModel",
            ),
        ),
        migrations.AddField(
            model_name="foreignkeymodel",
            name="target",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=gdpr_assist.ANONYMISE(django.db.models.deletion.SET_NULL),
                related_name="foreignkey",
                to="tests_app.PrivateTargetModel",
            ),
        ),
        migrations.AddField(
            model_name="foreignkeytocannotanonymisedmodel",
            name="target",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=gdpr_assist.ANONYMISE(django.db.models.deletion.SET_NULL),
                related_name="foreignkey",
                to="tests_app.PrivateTargetCanNotAnonymiseModel",
            ),
        ),
        migrations.CreateModel(
            name='UUIDasPK',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('chars', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='UUIDasPKSmallField',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('chars', models.CharField(max_length=10)),
            ],
        ),
    ]

    if django.VERSION < (4, 0):  # NullBooleanField deprecated @ 4.0
        operations.extend(
            [
                migrations.CreateModel(
                    name="TestModelForNullBooleanField",
                    fields=[
                        (
                            "id",
                            models.AutoField(
                                auto_created=True,
                                primary_key=True,
                                serialize=False,
                                verbose_name="ID",
                            ),
                        ),
                        ("field", models.NullBooleanField()),
                    ],
                ),
                migrations.CreateModel(
                    name="TestModelForNullableNullBooleanField",
                    fields=[
                        (
                            "id",
                            models.AutoField(
                                auto_created=True,
                                primary_key=True,
                                serialize=False,
                                verbose_name="ID",
                            ),
                        ),
                        ("field", models.NullBooleanField()),
                    ],
                ),
            ]
        )

    if django.VERSION > (3, 0):  # Nullable BooleanField added @ 3.1
        operations.extend(
            [
                migrations.CreateModel(
                    name="TestModelForNullableBooleanField",
                    fields=[
                        (
                            "id",
                            models.AutoField(
                                auto_created=True,
                                primary_key=True,
                                serialize=False,
                                verbose_name="ID",
                            ),
                        ),
                        ("field", models.BooleanField(null=True)),
                    ],
                ),
            ]
        )